
function validateFileOnChange(formFileData) {
  const allowedTypes = ["image/jpeg", "image/png", "image/gif"];
  const maxSize = 2 * 1024 * 1024; // 2MB

  let validFiles = [];

  formFileData.forEach((file) => {
    if (allowedTypes.includes(file.type) && file.size <= maxSize) {
      validFiles.push(file);
    }
  });

  return validFiles;
}

function validateFileOnUpload(files) {
  var error = "";
  if (files.length === 0) {
    error = "Please select at least one file to upload.";
  }

  var totalSize = 0;
  for (let i = 0; i < files.length; i++) {
      const file = files[i];
      if(file) {
        totalSize += parseInt(file.size)
      }
  }
  const maxSize = 2 * 1024 * 1024; // 2MB

  if (totalSize > maxSize) {
    error = "Total size of selected images exceeds 2MB.";
  }
  return error;
}

async function handleMultipleFileUploadAjax(initFileState) {
  try {
    const formData = new FormData(document.getElementById("from-image-upload"));

    // Send files binary to PHP
    axios.post('upload-image.php', formData, { function() {
    }
    }).then(response => {
      initFileState([]);
      console.log(response.data);
    });
  } catch (error) {
    console.error(error);
  }
}

